Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 504116 (init.d_functions.sh)

Summary: [TRACKER] fix programs that source /etc/init.d/functions.sh
Product: Gentoo Linux Reporter: William Hubbs <williamh>
Component: Current packagesAssignee: Gentoo's Team for Core System packages <base-system>
Status: RESOLVED FIXED    
Severity: normal CC: 96bd763529be62c7350d43e8ae67f9623c998ddc, admin, alexander, alexandre.guimaraes, arealityfarbetween, audvare, bb, bertrand, cognifloyd+gentoobugs, cschieli, dev, devurandom, dharding, djip.perois, gentoo, gentoo, gentoobugs, james05+gentoo, kai.huuhko, kirelagin, krinpaus, leho, leonard, lssndrbarbieri, maggu2810, mail, marcec, marduk, me, michael, michael, nacitar, nikoli, olof.kindgren, pacho, pastas4, paul, prote, qa, renich, schiffsratte, sven.koehler, tb, temporary987, tsmksubc, ua_gentoo_bugzilla, vmatare+gbug, wizardedit
Priority: Normal Keywords: Tracker
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=373219
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 478764, 504120, 504122, 504124, 504128, 504130, 504132, 504140, 504376, 504378, 504380, 504382, 504386, 504388, 504390, 504392, 504394, 504396, 504398, 504400, 504402, 504404, 504406, 504408, 504412, 504414, 504416, 504418, 504420, 504430, 504432, 504434, 509142, 538656, 626646, 721670    
Bug Blocks: 410577, 504284, 511500    
Attachments: startDM.sh-patch

Description William Hubbs gentoo-dev 2014-03-10 20:02:23 UTC
This is here to track the fixes we need to make in gentoo for programs
that source /etc/init.d/functions.sh. This is going away, so all
programs that use it should start testing for the presence of
/lib/gentoo/functions.sh. If this file exists, source it instead of
/etc/init.d/functions.sh.

To set up to test to make sure your program works with this new file,
you should run:

emerge -1 gentoo-functions

When yu make the fix, please do not add a hard dependency to
sys-apps/gentoo-functions. The plan is to add this package to @system as
soon as it goes stable.

No more chatter in this bug please; just add dependencies.
Comment 1 William Hubbs gentoo-dev 2014-03-12 20:34:52 UTC
After some discussion on the list, it was determined that if you add hard dependencies to your package for sys-apps/Gentoo-functions, we do not need to add it to @system at all, so go ahead and do that.
Comment 2 Samuli Suominen (RETIRED) gentoo-dev 2014-03-13 05:28:53 UTC
hal, please, one bug per package, as the package maintainer will obviously create a new revision (or version) and fix everything involved ending up in file system

no need to reply to this message to avoid bugspam on the Tracker
Comment 3 temporary 2014-12-17 19:22:57 UTC
Hello. It seems like all the activity about fixing this problem has stopped: for example, even though a new version of glibc was added to portage in November 2014 it doesn't seem like it uses a valid way to functions.sh.
Probably it would be correct to make gentoo-functions package also create a symlink to /etc/init.d/functions.sh?
Comment 4 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-12-21 11:57:04 UTC
Removing bugs for maintainer-use scripts. We need not to care about those.
Comment 5 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-12-21 19:07:07 UTC
9 months (and 17 months in case of glibc) is much too long. Time to make this a QA business. I'm going to set a deadline on all bugs.
Comment 6 Account removed 2015-04-02 20:47:38 UTC
some weeks too late but happy birthday,tracker!
Comment 7 anonymous 2015-04-08 22:50:21 UTC
> I'm going to set a deadline on all bugs.

When deadline?
Comment 8 temporary 2015-05-07 14:44:50 UTC
Anybody alive?
Comment 9 temporary 2015-05-14 17:58:34 UTC
Seems like this bug depends on no bugs in really important packages. Probably, it is possible to just mark it as resolved?
Comment 10 Markus Rathgeb 2015-07-27 06:57:59 UTC
(In reply to Michał Górny from comment #5)
> 9 months (and 17 months in case of glibc) is much too long. Time to make
> this a QA business. I'm going to set a deadline on all bugs.

What is the current state?
You set a deadline, the deadline is ended more than six month before.
I recently run into trouble with #504118, so I created the symlink again.
Could "we" be informed, why this is so difficult to replace a file with some function definitions? I think there are some problems caused that delay, but I would like which one.
Comment 11 Lara Maia 2015-10-14 08:45:46 UTC
Oh my god, nothing yet? Why?
Comment 12 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2015-10-18 13:30:17 UTC
We simply have a lot of other work to do, and pursuing all of this is at least hard. If you would like to help, please take a look at the remaining bugs. Preferably create pull requests for the relevant ebuilds, and I will merge them ASAP.
Comment 13 Lara Maia 2016-05-05 13:32:04 UTC
It's fixed now.
Comment 14 Mike Gilbert gentoo-dev 2016-06-15 20:54:26 UTC
To move forward on this, somebody needs to verify that all of the dependencies have been stabilized.
Comment 15 Jens 2017-04-02 13:06:16 UTC
Created attachment 468990 [details, diff]
startDM.sh-patch

Why not simply bail out on non openerc systems ?
Comment 16 Jens 2017-04-02 13:11:18 UTC
Comment on attachment 468990 [details, diff]
startDM.sh-patch

Sorry, wrong bug number
Comment 17 Ulf Dambacher 2017-10-29 08:01:50 UTC
This bug is now open for more than 3 years and we' running for the 4th aniversary.

May I suggest to do a harder escalation on fixing this, for example:
* Packages that don't fix this with the next release won't get the tagged stabilized 
* Packages that don't fix this until 2018-3-10 get pushed out of the portage rep
Comment 18 Renich Bon Ciric 2018-04-25 01:40:54 UTC
So! Only openrc remains! Good!